#include "IoManager.h"

IoManager::IoManager(Ogre::String fileName)
{
	mFile.open(fileName.c_str());
}

IoManager::~IoManager()
{
	 mFile.close();
}

void IoManager::Write()
{
	std::vector<Ogre::Vector3>::const_iterator posit, posit_end;
    posit_end = mPositions.end();
	
	std::vector<Ogre::Quaternion>::const_iterator orit;
	orit = mOrientations.begin();

    for (posit = mPositions.begin(); posit != posit_end; ++posit)
	{
		mFile << (*posit) << (*(orit++));
	}
}

void IoManager::AddNode(Ogre::SceneNode *node)
{
	mPositions.push_back(node->getPosition());
	mOrientations.push_back(node->getOrientation());
}